Page MenuHomePhabricator

nodemap: create files in the repository used in the test
ClosedPublic

Authored by marmoute on Apr 14 2020, 11:48 AM.

Details

Summary

We need a manifest with more content to test persistent nodemap for manifest.
This change the repository content and affect all the hashes.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Apr 14 2020, 11:48 AM
marmoute retitled this revision from nodemap: create files in the repository used in the test. to nodemap: create files in the repository used in the test.Apr 15 2020, 2:13 PM
pulkit accepted this revision.Apr 16 2020, 4:15 AM
This revision is now accepted and ready to land.Apr 16 2020, 4:15 AM
durin42 requested changes to this revision.Apr 16 2020, 1:37 PM
durin42 added a subscriber: durin42.

Did some bisecting. Prior to this change, I see about 2% failures on a 36-core 72-thread xeon machine that's otherwise idle. With this change, I see about 25% fails (out of 100 runs). D8410 doesn't make it any better or worse, and then D8411 ups the flakes to 50% (!).

We need to figure that out. :(

This revision now requires changes to proceed.Apr 16 2020, 1:37 PM
marmoute requested review of this revision.Apr 16 2020, 5:04 PM

I found the issue. I did not updated the counter in wait-on-file when I moved from sleep 1 to sleep 0.01. So the timout was not 20s, but 0.2s a tad short. This is fixed in D8453

Alphare accepted this revision.Thu, May 7, 8:28 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.